package com.huyi.service.base.service.impl;

import com.huyi.service.base.entity.ZcChargeInf;
import com.huyi.service.base.mapper.ZcChargeInfMapper;
import com.huyi.service.base.service.IZcChargeInfService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.beans.factory.annotation.Autowired;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;



import java.util.List;

/**
 * ClassName: ZcChargeInfServiceImpl<br>
 * Description: IZcChargeInfService实现 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true, rollbackFor = Exception.class)
public class ZcChargeInfServiceImpl extends ServiceImpl<ZcChargeInfMapper, ZcChargeInf> implements IZcChargeInfService {

    @Autowired
    private ZcChargeInfMapper zcChargeInfMapper;

    @Override
    public IPage<ZcChargeInf> findZcChargeInfs(QueryRequest request, LambdaQueryWrapper<ZcChargeInf> wrapper) {
        Page<ZcChargeInf> page = new Page<>(request.getPageNum(), request.getPageSize());
        return this.page(page, wrapper);
    }

    @Override
    public List<ZcChargeInf> findZcChargeInfs(LambdaQueryWrapper<ZcChargeInf> wrapper) {
		return this.list(wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void createZcChargeInf(ZcChargeInf zcChargeInf) {
        this.save(zcChargeInf);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updateZcChargeInf(ZcChargeInf zcChargeInf) {
        this.saveOrUpdate(zcChargeInf);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void deleteZcChargeInf(LambdaQueryWrapper<ZcChargeInf> wrapper) {
	    this.remove(wrapper);
	}
}
